<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<!--<head th:replace="common/common_header :: common_header"></head>-->

<head>
    <meta charset="UTF-8">
    <title>后台管理系统</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <link rel="shortcut icon" th:href="@{/images/logo.jpg}"/>
    <link rel="stylesheet" th:href="@{/js/layui/css/layui.css}">
    <link rel="stylesheet" th:href="@{/js/layui/css/admin.css}">
    <script type="text/javascript" th:src="@{/js/jquery-3.3.1.min.js}"></script>
    <script th:src="@{/js/layui/layui.js}" charset="utf-8"></script>
    <style type="text/css">
        img {
            height: 25px;
        }
    </style>
</head>
<body>
<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-form layui-card-header layuiadmin-card-header-auto">
            <div class="layui-form-item">
                <!--                <input type="hidden" name="isLease" id="isLease" class="layui-input" th:value="${isLease}">-->






            </div>

        </div>

    </div>
    <div class="layui-card-body">
        <table class="layui-hide" id="tableId" lay-filter="tableId"></table>
    </div>
</div>
</div>
<script type="text/html" id="toolbarUtil">
    <div class="layui-btn-container">
    </div>
</script>

<script type="text/html" id="table-handle">
    <i class="layui-icon layui-icon-delete" lay-event="del" title="删除"></i>
</script>




<script>

    var field = {};

    field.itype = 20;

    layui.use(['table', 'form'], function () {
        var form = layui.form, table = layui.table;
        //监听搜索
        form.on('submit(The-search)', function (data) {
            field = data.field;
            //执行重载
            table.reload('tableId', {
                where: field
                , page: {
                    curr: 1
                }
            });
        });
        table.render({
            elem: '#tableId'
            , url: 'findPageList'
            , where: field
            , method: 'post'
            ,contentType: "application/json" // 内容编码， json格式
            , height: 500
            , toolbar: '#toolbarUtil' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            , cellMinWidth: 20 //全局定义常规单元格的最小宽度，layui 2.2.1 新增
            , skin: 'line ' //表格风格 line （行边框风格）row （列边框风格）nob （无边框风格）
            , even: true    //隔行换色
            , limit: 20 //每页默认显示的数量
            , page:true
               ,request: {
                    pageName: "curpage", // 页码的参数名称，默认：page
                    limitName: "pagesize" // 每页数据量的参数名，默认：limit
                }
                ,response: {
                    statusName: "code", // 规定数据状态的字段名称，默认：code
                    statusCode: 0, // 规定成功的状态码，默认：0
                    msgName: "msg", // 规定状态信息的字段名称，默认：msg
                    countName: "count", // 规定数据总数的字段名称，默认：count
                    dataName: "data" // 规定数据列表的字段名称，默认：data
                }

                ,parseData: function(res) { // res 即为原始返回的数据
                    return {
                        "code": res.code, // 解析接口状态
                        "msg": res.msg, // 解析提示文本
                        "count": res.data.pageinfo.totalRecords, // 解析数据长度
                        "data": res.data.items // 解析数据列表
                    };
                }

            , limits: [10, 20, 50, 100]  //每页条数的选择项，默认：[10,20,30,40,50,60,70,80,90]。
            , cols: [
                [
                    {type: 'checkbox', field: 'goodsId', fixed: "left"}
                    , {field: 'scontent', title: '内容'}
                    ,{
                    title: "截图",
                    align: "center",
                    templet: function(d) {

                        var str = "";

                        var surl = d.sshortpic1.split(';');

                        for (var i = 0; i < surl.length; i++) {
                            console.log(surl[i]);
                            str += '<div><img id="zi' + d.id + '" src="' + surl[i] +
                                '" onmouseover="bigImg(this)" onmouseout="smallImg()" onclick="tolook(src)" style="height:20px;"></div>'
                        }

                        return str;

                        }
                    }
                    , {field: 'tcreatetime', width: 200, title: '创建时间'}
                   // , {field: '', width: 150, title: '操作', toolbar: '#table-handle', fixed: "right"}
                ]
            ]
        });

        //头工具栏事件
        table.on('toolbar(tableId)', function (obj) {
            var checkStatus = table.checkStatus(obj.config.id);
            switch (obj.event) {
                case 'add':
                    var w = ($(window).width() * 0.9);
                    var h = ($(window).height() * 0.9);
                    layer.open({
                        type: 2
                        , title: '新增'
                        , content: 'addOrEdit?isLease=' + 0
                        , area: [w + 'px', h + 'px']
                        , fix: false //不固定
                        , maxmin: true
                        , shadeClose: true
                        , shade: 0.4
                        , btn: ['保存', '关闭']
                        , yes: function (index, layero) {
                            var body = layer.getChildFrame('body', index); //得到iframe页面层的BODY
                            var iframeBtn = body.find('#saveBtn');//得到iframe页面层的提交按钮
                            iframeBtn.click();//模拟iframe页面层的提交按钮点击
                        }
                    });
                    break;
                case 'del':
                    var data = checkStatus.data;
                    var id = '';
                    if (data.length > 0) {
                        for (var j = 0; j < data.length; j++) {
                            id = id + "," + data[j].goodsId;
                        }
                    } else {
                        layer.msg("请至少选择一条数据!");
                        return false;
                    }
                    layer.confirm('确定要彻底删除选中的数据吗?', function (index) {
                        $.ajax({
                            url: "changeDeleteState",
                            data: {"id": id},
                            type: "POST",
                            dataType: "json",
                            success: function (result) {
                                if (result.code == 100) {
                                    layer.msg(result.msg, {icon: 6, time: 1000}, function () {
                                        layer.close(index);
                                        table.reload('tableId');
                                    });
                                } else {
                                    layer.msg(result.msg, {icon: 5});
                                }
                            }
                        });
                    });
                    break;
            }
            ;
        });

        //监听行工具事件
        table.on('tool(tableId)', function (obj) {
            var data = obj.data;
            //console.log(obj)
            if (obj.event === 'del') {
                layer.confirm('删除后无法撤销,确定继续吗?', function (index) {
                    $.ajax({
                        url: obj.data.id + "/deleteByid",
                        type: "GET",
                        dataType: "json",
                        success: function (result) {
                            if (result.code == 0) {
                                layer.msg(result.msg, {icon: 6, time: 1000}, function () {
                                    table.reload('tableId');
                                });
                            } else {
                                layer.msg(result.msg, {icon: 5});
                            }
                        }
                    });
                });
            } else if (obj.event === 'edit') {
                var id = obj.data.id;
                var w = ($(window).width() * 0.9);
                var h = ($(window).height() * 0.9);
                layer.open({
                    type: 2
                    , title: '编辑'
                    , content: 'addOrEdit?id=' + id
                    , area: [w + 'px', h + 'px']
                    , fix: false //不固定
                    , maxmin: true
                    , shadeClose: true
                    , shade: 0.4
                    , btn: ['保存', '关闭']
                    , yes: function (index, layero) {
                        var body = layer.getChildFrame('body', index); //得到iframe页面层的BODY
                        var iframeBtn = body.find('#saveBtn');//得到iframe页面层的提交按钮
                        iframeBtn.click();//模拟iframe页面层的提交按钮点击
                    }
                });
            } else if (obj.event === 'spec') {
                var id = obj.data.goodsId;
                var w = ($(window).width() * 0.9);
                var h = ($(window).height() * 0.9);
                layer.open({
                    type: 2
                    , title: '添加商品规格'
                    , content: 'toSpec?id=' + id
                    , area: [w + 'px', h + 'px']
                    , fix: false //不固定
                    , maxmin: true
                    , shadeClose: true
                    , shade: 0.4
                    , btn: ['保存', '关闭']
                    , yes: function (index, layero) {
                        var body = layer.getChildFrame('body', index); //得到iframe页面层的BODY
                        var iframeBtn = body.find('#saveBtn');//得到iframe页面层的提交按钮
                        iframeBtn.click();//模拟iframe页面层的提交按钮点击
                    }
                });
            } else if (obj.event === 'abolish1') {
                var data = 'abolishState=0&goodsId=' + obj.data.goodsId
                updateAbolishState(data);

            } else if (obj.event === 'abolish0') {
                var data = 'abolishState=1&goodsId=' + obj.data.goodsId
                updateAbolishState(data);
            }
        });

    });


    function updateAbolishState(data) {
        $.ajax({
            url: "changeAbolishState",
            data: data,
            type: "POST",
            dataType: "json",
            success: function (result) {
                if (result.code == 100) {
                    layer.msg(result.msg, {icon: 6, time: 1000}, function () {
                        location.replace(location.href)
                    });

                } else {
                    layer.msg(result.msg, {icon: 5});
                }
            }
        });
    }


</script>

</body>

</html>